2

In Luna I used gnome-do without any issues (gnome-do is great btw). In Freya I get:

`$ gnome-do Gtk-Message: Failed to load module "pantheon-filechooser-module"

(Do:10915): Wnck-CRITICAL **: wnck_set_client_type got called multiple times.

Attempt to unlock mutex that was not locked Stacktrace:

at <0xffffffff> at (wrapper managed-to-native) Gtk.Clipboard.gtk_clipboard_wait_is_text_available (intptr) <0xffffffff> at Gtk.Clipboard.WaitIsTextAvailable () <0x00017> at Do.Universe.SelectedTextItem.UpdateSelection (object,System.EventArgs) <0x00033> at Do.Platform.AbstractApplicationService.OnSummoned () <0x0002d> at Do.Platform.ApplicationService.m__0 (object,System.EventArgs) <0x00013> at Do.Core.Controller.OnSummoned () <0x0002d> at Do.Core.Controller.Summon () <0x00023> at Do.Do.Main (string[]) <0x001e3> at (wrapper runtime-invoke) .runtime_invoke_void_object (object,intptr,intptr,intptr) <0xffffffff>

Native stacktrace:

/usr/bin/cli() [0x4b73d8]
/lib/x86_64-linux-gnu/libpthread.so.0(+0x10340) [0x7f15cd46d340]
/lib/x86_64-linux-gnu/libc.so.6(gsignal+0x39) [0x7f15cd0cecc9]
/lib/x86_64-linux-gnu/libc.so.6(abort+0x148) [0x7f15cd0d20d8]
/lib/x86_64-linux-gnu/libglib-2.0.so.0(+0x1b1a8) [0x7f15c951b1a8]
/usr/lib/x86_64-linux-gnu/libgtk-x11-2.0.so.0(gtk_clipboard_wait_for_contents+0x6a) [0x7f15c089085a]
/usr/lib/x86_64-linux-gnu/libgtk-x11-2.0.so.0(gtk_clipboard_wait_is_text_available+0x22) [0x7f15c0890cd2]
[0x4198143b]

Debug info from gdb:

Could not locate Tomboy on D-Bus. Perhaps it's not running? Could not attach to process. If your uid matches the uid of the target process, check the setting of /proc/sys/kernel/yama/ptrace_scope, or try again as the root user. For more details, see /etc/sysctl.d/10-ptrace.conf ptrace: Operation not permitted. No threads.

=================================================================

Got a SIGABRT while executing native code. This usually indicates a fatal error in the mono runtime or one of the native libraries used by your application.

=================================================================

Aborted (core dumped)`

I read some posts saying it was fixed, others saying that support for gtk2 applications is incomplete. Is there any way to use gnome-do?

Thanks

closed as off-topic by Hasan Apr 19 at 21:58

This question appears to be off-topic. The users who voted to close gave this specific reason:

If this question can be reworded to fit the rules in the help center, please edit the question.

  • It is possible this is an old Gtk2 application levering some method it shouldn't be, and doesn't allow for third-party file choosers. elementary ships 3.14.15 on my system, with 2.24.23 as a fallback. – Lewis Goddard Oct 21 '15 at 19:38
  • Any possible solutions? I think that installing gtk2 will break my system, I read that somewhere... – Camandros Oct 22 '15 at 13:28
  • Have you tried Synapse instead? – RolandiXor Oct 27 '15 at 18:51
  • It does the trick, but it does not solve the gnome-do problem. – Camandros Oct 28 '15 at 9:21
0

This is a bug in GNOME Do and would have to be corrected in Do's source code. See this issue in launchpad.

Since GNOME Do is no longer developed, it will likely never be fixed.

  • Its a shame such nice project was dropped. – Camandros Nov 18 '15 at 10:23

Not the answer you're looking for? Browse other questions tagged or ask your own question.